C04.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-5 Corporate Experience Data Sheet.docx

DOCX document 17 KB Posted

Attached to
Maintenance, Repair, and Preservation of Dive Boat 65SC8801
Solicitation number
N4523A21R1060
Issued by

About this file

This document includes a solicitation for maintenance, repair, and preservation of a dive boat. The Naval Supply Systems Command is seeking a firm-fixed price contract for work to be performed on Dive Boat 65SC8801 at the contractor's facility between August 2021 and October 2021. The requirement is set aside for HUBZone small businesses under NAICS code 336611 with a size standard of 1,250 employees. Offerors must have HUBZone certification to submit a proposal. The work includes cleaning, inspecting, and preserving various systems and components of the 64-foot aluminum dive boat, along with repairs such as to hatches, stanchions, doors, and piping. The contractor will also undertake tasks like applying non-skid coating, blasting and preserving hull surfaces, inspecting shafts and rudders, and conducting sea trials upon completion. The government anticipates awarding the contract in May 2021 to the responsible contractor offering the lowest price and meeting minimum technical standards.

View the file

Other files

File Type Posted
C09.0 N4523A21R1060 Dive Boat 65SC8801 - RFC 005 Response 23MAR2021.pdf PDF
C09.0 N4523A21R1060 Dive Boat 65SC8801 - RFC 004 Response 23MAR2021.pdf PDF
C09.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-2 Price Proposal Worksheet Updated 19MAR2021.xlsx XLSX spreadsheet
C09.0 N4523A21R1060 Dive Boat 65SC8801 - RFC 003 Response 23MAR2021.pdf PDF
C09.0 N4523A21R1060 Dive Boat 65SC8801 - Solicitation Amendment 0002 23MAR2021.pdf PDF
C09.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-1 SOW Errata 2 Updated 19MAR2021.pdf PDF
C09.0 N4523A21R1060 Dive Boat 65SC8801 - Solicitation Amendment 0001 09MAR2021.pdf PDF
C09.0 N4523A21R1060 Dive Boat 65SC8801 - RFC 002 Response 09MAR2021.pdf PDF
C09.0 N4523A21R1060 Dive Boat 65SC8801 - RFC 001 Response 09MAR2021.pdf PDF
C09.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-2 Price Proposal Worksheet Updated 09MAR2021.xlsx XLSX spreadsheet
C09.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-1 SOW Errata 1 Updated 09MAR2021.pdf PDF
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Solicitation 04MAR2021.pdf PDF
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-3 Request for Clarification (RFC) Form.docx DOCX document
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-7 BAVR Instructions.pdf PDF
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Exhibit A CDRLs and DIDs.zip ZIP file
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-1 Statement of Work.pdf PDF
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-4 Contract Performance Data Sheet.docx DOCX document
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-6 Drawings Request.pdf PDF
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Attachment J-2 Price Proposal Worksheet.xlsx XLSX spreadsheet
C04.0 N4523A21R1060 Dive Boat 65SC8801 - Solicitation 04MAR2021.pdf PDF
Show all 20

On GovTribe

Work with this file

  • Download the original file
  • Contacts named in this file
  • Similar government files
  • Ask GovTribe AI about this file

Text version

CORPORATE EXPERIENCE DATA SHEET

N4523A21R1060 Attachment J-5

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Provide narrative statement demonstrating the work as outlined in Section M, Subfactor 1.1 of the solicitation.

NARRATIVE(Continued):

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Provide narrative statement demonstrating the work as outlined in Section M, Subfactor 1.1 of the solicitation.

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Provide narrative statement demonstrating the work as outlined in Section M, Subfactor 1.1 of the solicitation.

File details come from the government source that posted it. Updated .